"use client";
import { LocalizationProvider } from "@mui/x-date-pickers";
import { AdapterDateFns } from "@mui/x-date-pickers/AdapterDateFnsV3";
import { makeStore, AppStore } from '../lib/store'
import { useRef } from "react";
import { Provider } from "react-redux";
import { StyledEngineProvider } from "@mui/material";
export default function AppProvider({children}:{children: React.ReactNode}) {
    const storeRef = useRef<AppStore>()
    if (!storeRef.current) {
      // Create the store instance the first time this renders
      storeRef.current = makeStore()
    }
    
    return (
        <LocalizationProvider dateAdapter={AdapterDateFns}>  
            <Provider store={storeRef.current}>
                <StyledEngineProvider injectFirst>
                    {children}
                </StyledEngineProvider>
            </Provider>
        </LocalizationProvider>
    )
}