import { Filter } from "@/services/types";
import { createSlice } from "@reduxjs/toolkit/react";
import { format } from "date-fns";

const filterSlice = createSlice({
    name: "filter",
    initialState: {
        filter: {
            end_date: format(new Date(), "yyyy-MM-dd"),
        } as Filter,
    },
    reducers: {
        setFilter(state, action) {
        state.filter = action.payload;
        },
    },
});

export const { setFilter } = filterSlice.actions;
export default filterSlice.reducer;