import { api } from '@/services/api'
import { configureStore } from '@reduxjs/toolkit'
import filterReducer from '@/lib/slice/filter'

export const makeStore = () => {
  return configureStore({
    reducer: {
        [api.reducerPath]: api.reducer,
        filter: filterReducer,
    },
    middleware: (getDefaultMiddleware) =>
        getDefaultMiddleware().concat(api.middleware),
  })
}

// Infer the type of makeStore
export type AppStore = ReturnType<typeof makeStore>
// Infer the `RootState` and `AppDispatch` types from the store itself
export type RootState = ReturnType<AppStore['getState']>
export type AppDispatch = AppStore['dispatch']